Loading...
Searching...
No Matches
pcl::device::kinfuLS::Block Struct Reference

`#include </build/pcl-uIWyNl/pcl-1.15.1+dfsg/gpu/kinfu_large_scale/src/cuda/utils.hpp>`

## Static Public Member Functions

static __device__ __forceinline__ unsigned int | stride ()
static __device__ __forceinline__ int | flattenedThreadId ()
template<int CTA_SIZE, typename T, class BinOp>
static __device__ __forceinline__ void | reduce (volatile T *buffer, BinOp op)
template<int CTA_SIZE, typename T, class BinOp>
static __device__ __forceinline__ T | reduce (volatile T *buffer, T init, BinOp op)

## Detailed Description

Definition at line 464 of file utils.hpp.

## Member Function Documentation

## flattenedThreadId()

__device__ __forceinline__ int pcl::device::kinfuLS::Block::flattenedThreadId | ( |  | ) |

inline static

Definition at line 472 of file utils.hpp.

Referenced by reduce(), and reduce().

## reduce() [1/2]

template<int CTA_SIZE, typename T, class BinOp>

__device__ __forceinline__ void pcl::device::kinfuLS::Block::reduce | ( | volatile T * | buffer,
|  | BinOp | op )

inline static

Definition at line 478 of file utils.hpp.

References flattenedThreadId().

## reduce() [2/2]

template<int CTA_SIZE, typename T, class BinOp>

__device__ __forceinline__ T pcl::device::kinfuLS::Block::reduce | ( | volatile T * | buffer,
|  | T | init,
|  | BinOp | op )

inline static

Definition at line 500 of file utils.hpp.

References flattenedThreadId().

## stride()

__device__ __forceinline__ unsigned int pcl::device::kinfuLS::Block::stride | ( |  | ) |

inline static

Definition at line 466 of file utils.hpp.

The documentation for this struct was generated from the following file:

- /build/pcl-uIWyNl/pcl-1.15.1+dfsg/gpu/kinfu_large_scale/src/cuda/utils.hpp